Skip to main content
`Ctrl`+`K`

# PetscViewerCGNSGetSolutionTime

Gets the solution time for the FlowSolution of the viewer

## Synopsis

    #include "petscviewer.h"
    #include "petscdmplex.h"
    PetscErrorCode PetscViewerCGNSGetSolutionTime(PetscViewer viewer, PetscReal *time, PetscBool *set)

Collective

## Input Parameter

- viewer - `PETSCVIEWERCGNS` `PetscViewer` for CGNS input/output to use with the specified file

## Output Parameters

- time - Solution time of the FlowSolution_t node

- set - Whether the time data is in the file

## Notes

Reads data from a DataArray named `TimeValues` under a `BaseIterativeData_t` node

## See Also

`PETSCVIEWERCGNS`, `PetscViewer`, `PetscViewerCGNSGetSolutionIteration()`, `PetscViewerCGNSSetSolutionIndex()`, `PetscViewerCGNSGetSolutionIndex()`, `PetscViewerCGNSGetSolutionName()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/cgns/cgnsv.c

## Examples

src/dm/impls/plex/tutorials/ex16.c
src/dm/impls/plex/tutorials/ex15.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages